%define upstream_name    Data-Struct
%define upstream_version 1.701

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Simple struct building
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module implements a very basic and easy to use struct builder.

A _struct_ is a data structure that can contain values (attributes). The
values of the attributes can be set at creation time, and read and modified
at run time. Attributes can be anything that Perl can handle. There's no
checking on types. You may want to use the Class::Struct manpage if you
need _struct_s with type checking and inheritance.

Objects are much more powerful. Besides data, they can contain behaviour
(methods), support inheritance and encapsulation. This module deals with
data structures and not Objects, so I took placed it under the Data::
hierarchy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.701.0-8.mga6
+ Revision: 1024882
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.701.0-7.mga6
+ Revision: 949272
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.701.0-6.mga5
+ Revision: 789432
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.701.0-5.mga5
+ Revision: 738888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.701.0-4.mga5
+ Revision: 684241
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.701.0-3.mga4
+ Revision: 510695
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.701.0-2.mga3
+ Revision: 365472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 24 2011 kharec <kharec> 1.701.0-1.mga2
+ Revision: 171596
- update to 1.701

* Wed Nov 23 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 171450
- imported package perl-Data-Struct


* Wed Nov 23 2011 cpan2dist 1.700-1mga
- initial mageia release, generated with cpan2dist
